public static interface CouchDbEndpointBuilderFactory.CouchDbBuilders
| Modifier and Type | Method and Description |
|---|---|
default CouchDbEndpointBuilderFactory.CouchDbEndpointBuilder |
couchdb(String path)
CouchDB (camel-couchdb)
Consume changesets for inserts, updates and deletes in a CouchDB
database, as well as get, save, update and delete documents from a
CouchDB database.
|
default CouchDbEndpointBuilderFactory.CouchDbEndpointBuilder |
couchdb(String componentName,
String path)
CouchDB (camel-couchdb)
Consume changesets for inserts, updates and deletes in a CouchDB
database, as well as get, save, update and delete documents from a
CouchDB database.
|
default CouchDbEndpointBuilderFactory.CouchDbEndpointBuilder couchdb(String path)
couchdb:protocol:hostname:port/database
Path parameter: protocol (required)
The protocol to use for communicating with the database.
There are 2 enums and the value can be one of: http, https
Path parameter: hostname (required)
Hostname of the running couchdb instance
Path parameter: port
Port number for the running couchdb instance
Default value: 5984
Path parameter: database (required)
Name of the database to usepath - protocol:hostname:port/databasedefault CouchDbEndpointBuilderFactory.CouchDbEndpointBuilder couchdb(String componentName, String path)
couchdb:protocol:hostname:port/database
Path parameter: protocol (required)
The protocol to use for communicating with the database.
There are 2 enums and the value can be one of: http, https
Path parameter: hostname (required)
Hostname of the running couchdb instance
Path parameter: port
Port number for the running couchdb instance
Default value: 5984
Path parameter: database (required)
Name of the database to usecomponentName - to use a custom component name for the endpoint
instead of the default namepath - protocol:hostname:port/databaseApache Camel